summaryrefslogtreecommitdiffstats
path: root/tests/manytcp.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/manytcp.sh')
-rwxr-xr-xtests/manytcp.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tests/manytcp.sh b/tests/manytcp.sh
new file mode 100755
index 00000000..3accfb8a
--- /dev/null
+++ b/tests/manytcp.sh
@@ -0,0 +1,13 @@
+rm -f rsyslog.out.log # work file
+../tools/rsyslogd -c4 -u2 -n -irsyslog.pid -M../runtime/.libs:../.libs -ftestsuites/manytcp.conf &
+echo "rsyslogd started with pid " `cat rsyslog.pid`
+./tcpflood 127.0.0.1 13514 1000 20000
+sleep 1
+kill `cat rsyslog.pid`
+rm -f work
+sort < rsyslog.out.log > work
+./chkseq work 0 19999
+if [ "$?" -ne "0" ]; then
+ echo "sequence error detected"
+ exit 1
+fi